- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#body.LegacyAddOrUpdateReportWidgetResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#body.aspect_1)
- [DashboardWidgetTypesEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#DashboardWidgetTypesEnum)
- [WidgetWidthSizeTypes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#WidgetWidthSizeTypes)
- [DashboardTimeRangeTypesEnums](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#DashboardTimeRangeTypesEnums)
- [CasePriority](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CasePriority)
- [CaseDataStatus](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CaseDataStatus)
- [CloseReasonEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CloseReasonEnum)
- [CustomWidgetSubjectEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetSubjectEnum)
- [CustomWidgetObjectEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetObjectEnum)
- [CustomWidgetChartTypeEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetChartTypeEnum)
- [ResultsOrder](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#ResultsOrder)
- [CalculateFieldEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CalculateFieldEnum)
- [PlaybookStatusFilter](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#PlaybookStatusFilter)

**Full name**: projects.locations.instances.legacySoarReports.legacyAddOrUpdateReportWidget

Adds a new report widget or updates an existing one. Widgets represent individual data visualizations or statistical components that are embedded within a report template.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacySoarReports:legacyAddOrUpdateReportWidget`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the data sources for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "id": integer, "dashboardId": integer, "title": string, "description": string, "widgetType": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#DashboardWidgetTypesEnum`), "widthSize": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#WidgetWidthSizeTypes`), "order": integer, "timeFilter": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#DashboardTimeRangeTypesEnums`), "tagFilters": [ string ], "environmentFilter": [ string ], "entityTypeFilter": [ string ], "analystFilters": [ string ], "priorityFilter": [ enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CasePriority`) ], "caseStatusesFilter": [ enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CaseDataStatus`) ], "importanceStatusesFilter": [ boolean ], "incidentStatusesFilter": [ boolean ], "exceededSlaFilter": [ boolean ], "closeReasonsFilter": [ enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CloseReasonEnum`) ], "caseStageFilter": [ string ], "caseRootCauseFilter": [ string ], "productFilters": [ string ], "alertNamesFilter": [ string ], "entityIdentifierFilter": [ string ], "networksFilter": [ string ], "portsFilter": [ string ], "categoryOutcomeFilter": [ string ], "customWidgetSubjectFilter": [ string ], "subject": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetSubjectEnum`), "dimensionA": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetObjectEnum`), "dimensionB": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetObjectEnum`), "dimensionC": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetObjectEnum`), "chartType": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetChartTypeEnum`), "resultsAmount": integer, "resultsOrder": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#ResultsOrder`), "startStage": string, "endStage": string, "text": string, "calculateField": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CalculateFieldEnum`), "groupByField": string, "playbooksFilter": [ string ], "integrationsFilter": [ string ], "playbookStatusFilter": [ enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#PlaybookStatusFilter`) ], "socAnalystsLoadFirstSocRoleId": string, "socAnalystsLoadSecondSocRoleId": string, "socAnalystsLoadManagerUsername": string, "creationTimeUnixTimeInMs": string, "modificationTimeUnixTimeInMs": string } ``` |

| Fields ||
|---|---|
| `id` | `integer` Required. The ID of the widget. |
| `dashboardId` | `integer` Required. The ID of the dashboard. |
| `title` | `string` Required. The title of the widget. |
| `description` | `string` Optional. The description of the widget. |
| `widgetType` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#DashboardWidgetTypesEnum`)`` Required. The type of the widget. |
| `widthSize` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#WidgetWidthSizeTypes`)`` Required. The width of the widget. |
| `order` | `integer` Optional. The order of the widget in the dashboard. |
| `timeFilter` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#DashboardTimeRangeTypesEnums`)`` Optional. The time range filter of the widget. |
| `tagFilters[]` | `string` Optional. The tag filters of the widget. |
| `environmentFilter[]` | `string` Optional. The environment filters of the widget. |
| `entityTypeFilter[]` | `string` Optional. The entity type filters of the widget. |
| `analystFilters[]` | `string` Optional. The analyst filters of the widget. |
| `priorityFilter[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CasePriority`)`` Optional. The priority filters of the widget. |
| `caseStatusesFilter[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CaseDataStatus`)`` Optional. The case status filters of the widget. |
| `importanceStatusesFilter[]` | `boolean` Optional. The importance status filters of the widget. |
| `incidentStatusesFilter[]` | `boolean` Optional. The incident status filters of the widget. |
| `exceededSlaFilter[]` | `boolean` Optional. The exceeded SLA filters of the widget. |
| `closeReasonsFilter[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CloseReasonEnum`)`` Optional. The close reason filters of the widget. |
| `caseStageFilter[]` | `string` Optional. The case stage filters of the widget. |
| `caseRootCauseFilter[]` | `string` Optional. The case root cause filters of the widget. |
| `productFilters[]` | `string` Optional. The product filters of the widget. |
| `alertNamesFilter[]` | `string` Optional. The alert name filters of the widget. |
| `entityIdentifierFilter[]` | `string` Optional. The entity identifier filters of the widget. |
| `networksFilter[]` | `string` Optional. The network filters of the widget. |
| `portsFilter[]` | `string` Optional. The port filters of the widget. |
| `categoryOutcomeFilter[]` | `string` Optional. The category outcome filters of the widget. |
| `customWidgetSubjectFilter[]` | `string` Optional. The custom widget subject filters of the widget. |
| `subject` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetSubjectEnum`)`` Optional. The subject of the custom widget. |
| `dimensionA` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetObjectEnum`)`` Optional. The first dimension of the custom widget. |
| `dimensionB` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetObjectEnum`)`` Optional. The second dimension of the custom widget. |
| `dimensionC` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetObjectEnum`)`` Optional. The third dimension of the custom widget. |
| `chartType` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CustomWidgetChartTypeEnum`)`` Optional. CustomWidgetChartTypeEnum is an enum that represents the custom widget |
| `resultsAmount` | `integer` Optional. The number of results to display in the widget. |
| `resultsOrder` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#ResultsOrder`)`` Optional. The order of the results in the widget. |
| `startStage` | `string` Optional. The start stage filter of the widget. |
| `endStage` | `string` Optional. The end stage filter of the widget. |
| `text` | `string` Optional. The text to display in the widget. |
| `calculateField` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#CalculateFieldEnum`)`` Optional. The calculate field of the widget. |
| `groupByField` | `string` Optional. The group by field of the widget. |
| `playbooksFilter[]` | `string` Optional. The playbook filters of the widget. |
| `integrationsFilter[]` | `string` Optional. The integration filters of the widget. |
| `playbookStatusFilter[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarReports/legacyAddOrUpdateReportWidget#PlaybookStatusFilter`)`` Optional. The playbook status filters of the widget. |
| `socAnalystsLoadFirstSocRoleId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The first soc role id to filter soc analysts load. |
| `socAnalystsLoadSecondSocRoleId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The second soc role id to filter soc analysts load. |
| `socAnalystsLoadManagerUsername` | `string` Optional. The manager username to filter soc analysts load. |
| `creationTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The creation time of the widget. |
| `modificationTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The last modified time of the widget. |

### Response body

Response message for legacySoarReports.legacyAddOrUpdateReportWidget.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": string } ``` |

| Fields ||
|---|---|
| `payload` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The report widget id. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarReports.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## DashboardWidgetTypesEnum

DashboardWidgetTypesEnum is an enum that represents the widget types for a dashboard.

| Enums ||
|---|---|
| `DASHBOARD_WIDGET_TYPE_UNSPECIFIED` | Unspecified widget type |
| `CUSTOM` | Custom type |
| `PLAYBOOK_MONITORING` | Playbook monitoring |

## WidgetWidthSizeTypes

WidgetWidthSizeTypes is an enum that represents the width size types for a widget.

| Enums ||
|---|---|
| `WIDGET_WIDTH_SIZE_TYPE_UNSPECIFIED` | Unspecified width size |
| `ONE_BLOCK` | One block width |
| `TWO_BLOCKS` | Two block width |
| `THREE_BLOCKS` | Three block width |

## DashboardTimeRangeTypesEnums

LINT: LEGACY_NAMES DashboardTimeRangeTypesEnums is an enum that represents the time range types for a dashboard.

| Enums ||
|---|---|
| `DASHBOARD_TIME_RANGE_TYPE_UNSPECIFIED` | Custom time range |
| `LAST_DAY` | Last day |
| `LAST_3_DAYS` | Last 3 days |
| `LAST_WEEK` | Last week |
| `LAST_2_WEEKS` | Last 2 weeks |
| `LAST_MONTH` | Last month |
| `LAST_3_MONTHS` | Last 3 months |
| `LAST_6_MONTHS` | Last 6 months |
| `LAST_YEAR` | Last year |

## CasePriority

CasePriority is an enum that represents the case priority for a widget.

| Enums ||
|---|---|
| `UNCHANGED` | Unchanged priority |
| `INFORMATIVE` | Informative priority |
| `LOW` | Low priority |
| `MEDIUM` | Medium priority |
| `HIGH` | High priority |
| `CRITICAL` | Critical priority |

## CaseDataStatus

CaseDataStatus is an enum that represents the case data status for a widget.

| Enums ||
|---|---|
| `CASE_DATA_STATUS_UNSPECIFIED` | Unspecified status |
| `OPENED` | Open case |
| `CLOSED` | Closed case |
| `ALL` | Any case. |
| `MERGED` | The case is merged. |
| `CREATION_PENDING` | Creation pending case |

## CloseReasonEnum

CloseReasonEnum is an enum that represents the close reason for a widget.

| Enums ||
|---|---|
| `MALICIOUS` | Malicious reason |
| `NOT_MALICIOUS` | Not malicious reason |
| `MAINTENANCE` | Maintenance reason |
| `INCONCLUSIVE` | Inconclusive reason |
| `UNKNOWN` | Unknown reason |

## CustomWidgetSubjectEnum

CustomWidgetSubjectEnum is an enum that represents the custom widget subject for a widget.

| Enums ||
|---|---|
| `CASES` | Cases subject |
| `ALERTS` | Alerts subject |
| `TASKS` | Tasks subject |
| `PLAYBOOKS` | Playbooks subject |

## CustomWidgetObjectEnum

CustomWidgetObjectEnum is an enum that represents the custom widget object for a widget.

| Enums ||
|---|---|
| `CUSTOM_WIDGET_OBJECT_UNSPECIFIED` | Unspecified custom widget object |
| `ANALYST` | Analyst Object |
| `TAG` | Tag Object |
| `PRIORITY` | Priority Object |
| `RULE_NAME` | Status Object |
| `ENVIRONMENT` | Environment Object |
| `PLAYBOOK` | Playbook Object |
| `PRODUCT` | Product Object |
| `IMPORTANCE` | Importance Object |
| `CASE_STATUS` | Case Status Object |
| `CASE_CLOSE_REASON` | Close Reason Object |
| `CASE_ROOT_CAUSE` | Case Root Cause Object |
| `ENTITY_TYPE` | Entity Type Object |
| `NETWORK` | Network Object |
| `STAGE` | Stage Object |
| `PORT` | Port Object |
| `CATEGORY_OUTCOME` | Category Outcome Object |
| `ENTITY_IDENTIFIER` | Entity Identifier Object |
| `SLA_STATUS` | SLA Status Object |
| `BLOCK` | Block Object |
| `SOC_ANALYSTS_LOAD` | SOC Analysts Load Object |
| `SOC_STATUS` | SOC Status Object |
| `PLAYBOOK_STATUS` | Playbook Status Object |
| `ALERTS_REDUCTION` | Alerts reduction |
| `OPEN_CASES_STAGE_AVRAGE_HANDLING_TIME` | Open cases stage average handling time |
| `AVERAGE_STAGE_TRANSITION_TIME` | Average stage transition time |
| `SLA_STAGE_MEETING_RATE` | SLA stage meeting rate |
| `SLA_STAGE_OVERDUE_RATE` | SLA stage overdue rate |
| `CASE_OPEN_AND_CLOSURE_TRENDS` | Case open and closure trends |
| `ALERT_TRENDS` | Alert trends |
| `CASE_CLOSURE_BY_ANALYST_TRENDS` | Case closure by analyst trends |
| `MOST_REPORTING_PRODUCTS_TRENDS` | Most reporting products trends |
| `CASE_TAGS_TRENDS` | Case tags trends |
| `PLAYBOOK_TRENDS` | Playbook trends |
| `TASK_CREATOR` | Task creator |
| `TASK_OWNER` | Task owner |
| `TASK_STATUS` | Task status |
| `PLAYBOOK_TOTAL_RUNS` | Playbook total runs |
| `PLAYBOOK_SUCCEEDED_RUNS` | Playbook succeeded runs |
| `PLAYBOOK_IN_PROGRESS_RUNS` | Playbook in progress runs |
| `PLAYBOOK_FAILED_RUNS` | Playbook failed runs |
| `PLAYBOOK_DECLINED_RUNS` | Playbook declined runs |
| `PLAYBOOK_CLOSED_CASES` | Playbook closed cases |
| `PLAYBOOK_AVG_RUNTIME` | Playbook avg runtime |
| `PLAYBOOK_RUNS_STATS` | Playbook runs stats |
| `PLAYBOOK_PENDING` | Playbook pending |
| `PLAYBOOK_PERCENTAGE_ALERTS_HANDLED_PER_ENVIRONMENT` | Playbook percentage alerts handled per environment |
| `PLAYBOOK_PERCENTAGE_ALERTS_CLOSED_PER_PLAYBOOK` | Playbook percentage alerts closed per playbook |
| `PLAYBOOK_PERCENTAGE_ERROR_RUN` | Playbook percentage error runs |
| `PLAYBOOK_PERCENTAGE_ALERTS_CLOSED_PER_ENVIRONMENT` | Playbook percentage alerts closed per environment |

## CustomWidgetChartTypeEnum

The chart type of the custom widget.

| Enums ||
|---|---|
| `PIE` | Pie chart |
| `HORIZENTAL_BARS` | Horizontal bars chart |
| `VERTICAL_BARS` | Vertical bars chart |
| `TABLE` | Table chart |
| `TIME_SERIES` | Time series chart |
| `TRENDS` | Trends chart |
| `SOCS_STATUS` | SOC status chart |
| `ROI` | ROI chart |
| `TEXT` | Text chart |
| `IMAGE` | Image chart |
| `NUMBER_STATUS` | Number status chart |

## ResultsOrder

ResultsOrder is an enum that represents the results order for a widget.

| Enums ||
|---|---|
| `DESCENDING` | Ascending order |
| `ASCENDING` | Descending order |

## CalculateFieldEnum

CalculateFieldEnum is an enum that represents the calculate field for a widget.

| Enums ||
|---|---|
| `COUNT` | Count field |
| `HANDLING_AVG_TIME` | Average time field |
| `SLA_AVG_REMAINING_TIME` | SLA average remaining time field |
| `TASK_DUE_DATE_AVG_TIME` | Task due date average time field |
| `PERCENTAGE` | Percentage field |
| `AVG_RUNTIME` | Average runtime field |

## PlaybookStatusFilter

PlaybookStatusFilter is an enum that represents the playbook status filter for a widget.

| Enums ||
|---|---|
| `PLAYBOOK_STATUS_FILTER_UNSPECIFIED` | Unspecified playbook status filter |
| `FINISHED_SUCCESSFULLY` | Finished successfully |
| `ERROR` | Error |
| `WAITING_FOR_USER_ACTION` | Waiting for user action |
| `DECLINED` | Declined |
| `PLAYBOOK_CLOSED_ALERT` | Closed |
| `PENDING` | Pending |
| `TERMINATED` | Terminated |